# Class TreeChangeListener

java.lang.Object
jebl.evolution.trees.TreeChangeListener

public abstract class TreeChangeListener extends Object
A listener for notifying about changes to a tree or to the selected nodes in a tree.

Version:
  $Id: TreeChangeListener.java 913 2008-05-22 04:53:39Z matt_kearse $
Author:
  Matt Kearse

## Constructor Summary

Constructors
Constructor
Description
`TreeChangeListener()`

## Method Summary

Modifier and Type
Method
Description
`abstract void`
`selectionChanged(TreeSelectionChangeEvent treeChangeEvent)`
The selected nodes in the tree have changed.
`abstract void`
`treeChanged(TreeChangeEvent treeChangeEvent)`
The tree has changed.

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TreeChangeListener

public TreeChangeListener()

## Method Details

### treeChanged

public abstract void treeChanged(TreeChangeEvent treeChangeEvent)
The tree has changed. The tree contained in the TreeChangeEvent must not be the original tree. Instead it must be a new instance of a tree, first cloned using `Utils.copyTree(RootedTree)` and `Utils.rootTheTree(Tree)` or `Utils.rootTreeAtCenter(Tree)` if necessary before changes are made.

Parameters:
  `treeChangeEvent` - the changed tree.

### selectionChanged

public abstract void selectionChanged(TreeSelectionChangeEvent treeChangeEvent)
The selected nodes in the tree have changed.

Parameters:
  `treeChangeEvent` - the new set of selected nodes.